--[[
Description: This plugin is part of the "Titan Panel [Attributes] Multi" addon. It shows your Haste.
Site: http://www.curse.com/addons/wow/titan-panel-attributes-multi
Author: Canettieri
Special Thanks to Eliote.
--]]

local ADDON_NAME, L = ...;
local version = GetAddOnMetadata(ADDON_NAME, "Version")
local ID = "TITAN_HSTM"
local HA = 0
local startattribute
-----------------------------------------------
local function OnUpdate(self, id)
	local haste = GetHaste() or 0;

	if HA == haste then return end
	HA = haste

	TitanPanelButton_UpdateButton(id)
	return true
end
-----------------------------------------------
local function GetButtonText(self, id)
	local BarBalanceText = ""
	if TitanGetVar(ID, "ShowBarBalance") then
		if (HA - startattribute) > 0 then
			BarBalanceText = " |cFF69FF69["..(string.format("%.2f", (HA - startattribute))).."%".."]"
		elseif (HA - startattribute) < 0 then
			BarBalanceText = " |cFFFF2e2e["..(string.format("%.2f", (HA - startattribute))).."%".."]"
		end
	end

	local HAtext = "|cFFFFFFFF"..string.format("%.2f", HA) .."%"

	return L["haste"]..": ", HAtext..BarBalanceText
end
-----------------------------------------------
local function GetTooltipText(self, id)
	local text = TitanUtils_GetHighlightText("0%")

	local dif = HA - startattribute -- Cores da conta de valor
	if dif > 0 then
		text = "|cFF69FF69"..(string.format("%.2f", (HA - startattribute))).."%"
	elseif dif < 0 then
		text = "|cFFFF2e2e"..(string.format("%.2f", (HA - startattribute))).."%"
	end

	return L["tooltipDescriptionCha"]..L["haste"].."|r.\r"..L["session"]..text
end
-----------------------------------------------
local eventsTable = {
	PLAYER_ENTERING_WORLD = function(self)
		self:UnregisterEvent("PLAYER_ENTERING_WORLD")
		self.PLAYER_ENTERING_WORLD = nil

		startattribute = GetHaste() or 0
		HA = startattribute

		TitanPanelButton_UpdateButton(self.registry.id)
	end
}
-----------------------------------------------
L.Elib({
	id = ID,
	name = "Titan|cFFf9251a "..L["haste"].."|r".." Multi",
	tooltip = L["haste"],
	icon = "Interface\\Icons\\spell_holy_borrowedtime.blp",
	category = "Information",
	version = version,
	onUpdate = OnUpdate,
	getButtonText = GetButtonText,
	getTooltipText = GetTooltipText,
	prepareMenu = L.PrepareAttributesMenu,
	savedVariables = {
		ShowIcon = 1,
		DisplayOnRightSide = false,
		ShowBarBalance = false,
		ShowLabelText = false,
	},
	eventsTable = eventsTable
})
